Skip to main content
POST
/
process.Process
/
List
List
curl --request POST \
  --url https://{port}-{sandboxID}.e2b.app/process.Process/List \
  --header 'Connect-Protocol-Version: <connect-protocol-version>' \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Token: <api-key>' \
  --data '{}'
{
  "processes": [
    {
      "config": {
        "cmd": "<string>",
        "args": [
          "<string>"
        ],
        "envs": {},
        "cwd": "<string>"
      },
      "pid": 123,
      "tag": "<string>"
    }
  ]
}

Authorizations

X-Access-Token
string
header
required

Sandbox access token (envdAccessToken) for authenticating requests to a running sandbox. Returned by: POST /sandboxes (on create), POST /sandboxes/{sandboxID}/connect (on connect), POST /sandboxes/{sandboxID}/resume (on resume), and GET /sandboxes/{sandboxID} (for running or paused sandboxes).

Headers

Connect-Protocol-Version
number
required

Define the version of the Connect protocol

Connect-Timeout-Ms
number

Define the timeout, in ms

Body

application/json

The body is of type ListRequest · object.

Response

Success

processes
ProcessInfo · object[]